Bug 16563 - nfslock starts by default, nfs doesnt
nfslock starts by default, nfs doesnt
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-08-19 00:33 EDT by Adrian Likins
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-23 09:06:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2000-08-19 00:33:12 EDT
Not sure why, but the nfs-utils package starts up
nfslock by default. nfs does not get started
by default however. Not sure if that really
makes anysense (especially since the nfs init
scripts exit if theres no /etc/exports, but
the nfslock always runs)

Consider this has been recently exploited,
perhaps it would be wise to not start
it by default. This will be the case
for "Network Workstation" as well
as "NFS server", the former in particular
probabaly doesnt make sense.

Or was the "the kernel does/doesnt start
this" debate resolved?
Comment 1 Jakub Jelinek 2000-08-23 09:06:00 EDT
Michael, can somebody from rhkernel team take care of this?
Comment 2 Michael K. Johnson 2000-08-23 12:23:00 EDT
Needed for nfsfs, which is on by default.

Note You need to log in before you can comment on or make changes to this bug.